[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
[cross-project-issues-dev] Strange Problems with http://download.eclipse.org/eclipse/updates/4.10-I-builds

Hi,

I'm having strange Tycho build problems when using http://download.eclipse.org/eclipse/updates/4.10-I-builds and was hoping someone might have an idea.Â

Otherwise identical builds that are using http://download.eclipse.org/eclipse/updates/4.9-I-builds work fine.

I see log entries like this when building:

[INFO] Adding repository http://download.eclipse.org/releases/2018-12

Hunting around a bit, I think its probably because of these touchpoint instructions in the p2 metadata for the 4.10-I-Builds:

ÂÂÂÂÂÂÂÂÂ <instruction key='configure'>
ÂÂÂÂÂÂÂÂÂÂÂ addRepository(type:0,location:http${#58}//download.eclipse.org/eclipse/updates/4.10,name:The Eclipse Project Updates);addRepository(type:1,location:http${#58}//download.eclipse.org/eclipse/updates/4.10,name:The Eclipse Project Updates);addRepository(type:0,location:http${#58}//download.eclipse.org/releases/2018-12,name:2018-12);addRepository(type:1,location:http${#58}//download.eclipse.org/releases/2018-12,name:2018-12);mkdir(path:${installFolder}/dropins);
ÂÂÂÂÂÂÂÂÂ </instruction>

I think that leads to strange errors like this:

ERROR] Failed to execute goal org.eclipse.tycho.extras:tycho-eclipserun-plugin:1.0.0:eclipse-run (default) on project org.eclipse.emf.activities: Execution default of goal org.eclipse.tycho.extras:tycho-eclipserun-plugin:1.0.0:eclipse-run failed: Failed to load p2 repository with ID 'juno' from location http://download.eclipse.org/releases/2018-12: No repository found at http://download.eclipse.org/releases/2018-12. -> [Help 1]

But I have other strange errors as well that suggest SWT is somehow missing:

[ERROR] D:\sandbox\USER-HOME\emf-2.16-master\git\org.eclipse.emf\examples\org.eclipse.emf.examples.databinding.project.ui.rcp\src\org\eclipse\emf\example\databinding\project\ui\rcp\handlers\CreateCommittershipHandler.java:[1]
[ERROR] /**
[ERROR] ^
[ERROR] The type org.eclipse.swt.widgets.Shell cannot be resolved. It is indirectly referenced from required .class files
[ERROR] D:\sandbox\USER-HOME\emf-2.16-master\git\org.eclipse.emf\examples\org.eclipse.emf.examples.databinding.project.ui.rcp\src\org\eclipse\emf\example\databinding\project\ui\rcp\handlers\CreateCommittershipHandler.java:[18]
[ERROR] import org.eclipse.swt.widgets.Shell;
[ERROR] ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

So although the dependencies all resolved, there's perhaps something wrong with the repo structure...

Perhaps the problem will go away if someone creates an empty repo located at http://download.eclipse.org/releases/2018-12.

Regards,
Ed